import path from 'path';
import { parseArgs } from 'node:util';
import { startLwcDevServer } from './server/index.js';
import { LogLevel, Workspace } from './types/index.js';
const { values: { 'root-dir': rootDir, paths, port }, } = parseArgs({
    args: process.argv.slice(2),
    options: {
        port: {
            type: 'string',
        },
        [`root-dir`]: {
            type: 'string',
        },
        paths: {
            type: 'string',
            multiple: true,
        },
    },
});
if (!rootDir)
    throw new Error(`root-dir is required`);
if (!paths)
    throw new Error(`paths is required`);
startLwcDevServer({
    rootDir,
    logLevel: LogLevel.debug,
    paths: paths.map((p) => path.join(rootDir, p)),
    port: +(port || 50182),
    workspace: Workspace.Internal,
});
//# sourceMappingURL=bin.js.map