import type { ModuleInfo } from './scanner';
/**
 * Get all parts of an LWC component.
 * @param componentDir A directory representing an LWC Component.
 * @param namespace String representing the namespace of the component
 * @param ownerModuleId Owner module in format like <namespace>/<component-name>.
 * @returns A map representing all valid parts of the LWC with the short path as the key and full
 *  canonical path as value.
 */
export declare function getComponentParts(componentDir: string, namespace: string, ownerModuleId: string): {
    [key: string]: ModuleInfo;
} | undefined;
