import { readdirSync, existsSync, readFileSync } from 'node:fs';
import path from 'node:path';
import { createHash } from 'node:crypto';
/**
 *
 * @param entryDir
 * @returns
 */
export function getChildDirPaths(entryDir) {
    try {
        return readdirSync(entryDir, { withFileTypes: true })
            .filter((dirent) => dirent.isDirectory())
            .map((dirent) => path.resolve(entryDir, dirent.name));
    }
    catch (error) {
        if (error instanceof Error && 'code' in error) {
            if (error.code === 'ENOENT')
                return [];
        }
        throw error;
    }
}
/**
 * TODO: move this to a util that @lwc/dev-server-plugin-lex can reuse
 */
export function getModuleHash(moduleFilePath) {
    const content = readModule(moduleFilePath);
    if (!content)
        return '';
    return createHash('md5').update(content, 'utf8').digest('hex');
}
export function readModule(moduleFilePath) {
    if (!existsSync(moduleFilePath)) {
        return;
    }
    return readFileSync(moduleFilePath, 'utf8');
}
//# sourceMappingURL=fileUtil.js.map